com.ihr.xbrl.pojo.etl

## Class ExtractionTableImpl

- java.lang.Object
- - com.ihr.xbrl.pojo.etl.ExtractionTableImpl

- All Implemented Interfaces:
    ExtractionTableInterface

      public class ExtractionTableImpl
      extends java.lang.Object
      implements ExtractionTableInterface

  The Class ExtractionTableImpl.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractionTableImpl()` Instantiates a new extraction table impl.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompanyID()` Gets the company id.
    `java.util.Date` | `getEndDate()` Gets the end date.
    `XBRLFact` | `getFact()` Gets the fact.
    `ExtractionTablePK` | `getId()` Gets the id.
    `XBRLInstance` | `getInstance()` Gets the single instance of ExtractionTableImpl.
    `java.util.Date` | `getStartDate()` Gets the start date.
    `void` | `setCompanyID(java.lang.String companyID)` Sets the company id.
    `void` | `setEndDate(java.util.Date endDate)` Sets the end date.
    `void` | `setFact(XBRLFact fact)` Sets the fact.
    `void` | `setId(ExtractionTablePK id)` Sets the id.
    `void` | `setInstance(XBRLInstance instance)` Sets the instance.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionTableImpl

          public ExtractionTableImpl()

      Instantiates a new extraction table impl.

  - ### Method Detail

    - #### getId

          public ExtractionTablePK getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(ExtractionTablePK id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getInstance

          public XBRLInstance getInstance()

      Gets the single instance of ExtractionTableImpl.
      Specified by:
        `getInstance` in interface `ExtractionTableInterface`
      Returns:
        the instance

    - #### setInstance

          public void setInstance(XBRLInstance instance)

      Sets the instance.
      Specified by:
        `setInstance` in interface `ExtractionTableInterface`
      Parameters:
        `instance` - the instance to set

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date.
      Specified by:
        `getStartDate` in interface `ExtractionTableInterface`
      Returns:
        the startDate

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date.
      Specified by:
        `setStartDate` in interface `ExtractionTableInterface`
      Parameters:
        `startDate` - the startDate to set

    - #### getEndDate

          public java.util.Date getEndDate()

      Gets the end date.
      Specified by:
        `getEndDate` in interface `ExtractionTableInterface`
      Returns:
        the endDate

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Sets the end date.
      Specified by:
        `setEndDate` in interface `ExtractionTableInterface`
      Parameters:
        `endDate` - the endDate to set

    - #### getCompanyID

          public java.lang.String getCompanyID()

      Gets the company id.
      Specified by:
        `getCompanyID` in interface `ExtractionTableInterface`
      Returns:
        the companyID

    - #### setCompanyID

          public void setCompanyID(java.lang.String companyID)

      Sets the company id.
      Specified by:
        `setCompanyID` in interface `ExtractionTableInterface`
      Parameters:
        `companyID` - the companyID to set

    - #### getFact

          public XBRLFact getFact()

      Gets the fact.
      Specified by:
        `getFact` in interface `ExtractionTableInterface`
      Returns:
        the fact

    - #### setFact

          public void setFact(XBRLFact fact)

      Sets the fact.
      Specified by:
        `setFact` in interface `ExtractionTableInterface`
      Parameters:
        `fact` - the fact to set